import fs from 'node:fs';

/**
 * 检查文件是否存在
 * @param filePath 文件路径
 * @param checkIsFile 是否检查文件类型 default: false
 * @returns
 */
export const checkFileExists = (filePath: string, checkIsFile = false) => {
  try {
    fs.accessSync(filePath);
    if (checkIsFile) {
      return fs.statSync(filePath).isFile();
    }
    return true;
  } catch (error) {
    return false;
  }
};

export const createDir = (dirPath: string) => {
  if (!checkFileExists(dirPath)) {
    fs.mkdirSync(dirPath, { recursive: true });
  }
  return dirPath;
};
